micro_utils.dokka
0.15.1

# Package-level declarations

## Types

CustomMimeType
Link copied to clipboard
data class CustomMimeType(val raw: String) : MimeType
KnownMimeTypes
Link copied to clipboard
@Serializable(with = MimeTypeSerializer::class)
sealed class KnownMimeTypes : MimeType
MimeType
Link copied to clipboard
@Serializable(with = MimeTypeSerializer::class)
interface MimeType
MimeTypeSerializer
Link copied to clipboard
@Serializer(forClass = MimeType::class)
object MimeTypeSerializer : KSerializer<MimeType>

## Functions

findBuiltinMimeType
Link copied to clipboard
fun findBuiltinMimeType(from: String): MimeType?
mimeType
Link copied to clipboard
fun mimeType(raw: String): MimeType

## Properties

knownMimeTypesMap
Link copied to clipboard
val knownMimeTypesMap: Map<String, MimeType>